#ifndef MSP_GL_SL_FEATURES_H_
#define MSP_GL_SL_FEATURES_H_

#include <msp/gl/extension.h>

namespace Msp {
namespace GL {
namespace SL {

struct Features
{
	GLApi gl_api;
	Version glsl_version;
	bool arb_enhanced_layouts;
	bool arb_explicit_attrib_location;
	bool arb_explicit_uniform_location;
	bool arb_gpu_shader5;
	bool arb_separate_shader_objects;
	bool arb_uniform_buffer_object;
	bool ext_gpu_shader4;
	bool ext_texture_array;
	unsigned constant_id_range;

	Features();

	static Features from_context();
	static Features all();
};

} // namespace SL
} // namespace GL
} // namespace Msp

#endif
